Package org.apache.tomcat.util.http.parser

## Class TokenList

- java.lang.Object
- - org.apache.tomcat.util.http.parser.TokenList

    public class TokenList
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `parseTokenList​(java.io.Reader input, java.util.Collection<java.lang.String> collection)` Parses a header of the form 1#token, forcing all parsed values to lower case.
`static boolean` `parseTokenList​(java.util.Enumeration<java.lang.String> inputs, java.util.Collection<java.lang.String> collection)` Parses an enumeration of header values of the form 1#token, forcing all parsed values to lower case.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parseTokenList

    public static boolean parseTokenList​(java.util.Enumeration<java.lang.String> inputs,
                                         java.util.Collection<java.lang.String> collection)
                                  throws java.io.IOException

Parses an enumeration of header values of the form 1#token, forcing all parsed values to lower case.

Parameters:
  `inputs` - The headers to parse
  `collection` - The Collection (usually a list or a set) to which the parsed tokens should be added
Returns:
  `true` if the header values were parsed cleanly and at least one token was found, otherwise `false` (e.g. if a non-token value was encountered)
Throws:
  `java.io.IOException` - If an I/O error occurs reading the header

#### parseTokenList

    public static boolean parseTokenList​(java.io.Reader input,
                                         java.util.Collection<java.lang.String> collection)
                                  throws java.io.IOException

Parses a header of the form 1#token, forcing all parsed values to lower case.

Parameters:
  `input` - The header to parse
  `collection` - The Collection (usually a list or a set) to which the parsed tokens should be added
Returns:
  `true` if the header values were parsed cleanly and at least one token was found, otherwise `false` (e.g. if a non-token value was encountered)
Throws:
  `java.io.IOException` - If an I/O error occurs reading the header